package com.wasu.cs.model;

import java.util.List;

/**
 * Created by Danxx on 2015/11/23.
 */
public class FourKData extends Model{

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int code;
    private DataEntity data;
    private String message;

    public void setCode(int code) {
        this.code = code;
    }

    public void setData(DataEntity data) {
        this.data = data;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public DataEntity getData() {
        return data;
    }

    public String getMessage() {
        return message;
    }

    public static class DataEntity {
        private String bgColor;
        private String bgImage;

        private CatEntity cat;
        private int catId;
        private String catName;
        private int catProp;
        private String nameColor;
        private int page;
        private int total;

        private List<AssetsEntity> assets;

        private List<ElementsEntity> elements;

        public void setBgColor(String bgColor) {
            this.bgColor = bgColor;
        }

        public void setBgImage(String bgImage) {
            this.bgImage = bgImage;
        }

        public void setCat(CatEntity cat) {
            this.cat = cat;
        }

        public void setCatId(int catId) {
            this.catId = catId;
        }

        public void setCatName(String catName) {
            this.catName = catName;
        }

        public void setCatProp(int catProp) {
            this.catProp = catProp;
        }

        public void setNameColor(String nameColor) {
            this.nameColor = nameColor;
        }

        public void setPage(int page) {
            this.page = page;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public void setAssets(List<AssetsEntity> assets) {
            this.assets = assets;
        }

        public void setElements(List<ElementsEntity> elements) {
            this.elements = elements;
        }

        public String getBgColor() {
            return bgColor;
        }

        public String getBgImage() {
            return bgImage;
        }

        public CatEntity getCat() {
            return cat;
        }

        public int getCatId() {
            return catId;
        }

        public String getCatName() {
            return catName;
        }

        public int getCatProp() {
            return catProp;
        }

        public String getNameColor() {
            return nameColor;
        }

        public int getPage() {
            return page;
        }

        public int getTotal() {
            return total;
        }

        public List<AssetsEntity> getAssets() {
            return assets;
        }

        public List<ElementsEntity> getElements() {
            return elements;
        }

        public static class CatEntity {
            private String assetListUrl;
            private String bgColor;
            private String bgImage;
            private int catId;
            private int catProp;
            private int catType;
            private String engName;
            private String name;
            private String nameColor;

            public void setAssetListUrl(String assetListUrl) {
                this.assetListUrl = assetListUrl;
            }

            public void setBgColor(String bgColor) {
                this.bgColor = bgColor;
            }

            public void setBgImage(String bgImage) {
                this.bgImage = bgImage;
            }

            public void setCatId(int catId) {
                this.catId = catId;
            }

            public void setCatProp(int catProp) {
                this.catProp = catProp;
            }

            public void setCatType(int catType) {
                this.catType = catType;
            }

            public void setEngName(String engName) {
                this.engName = engName;
            }

            public void setName(String name) {
                this.name = name;
            }

            public void setNameColor(String nameColor) {
                this.nameColor = nameColor;
            }

            public String getAssetListUrl() {
                return assetListUrl;
            }

            public String getBgColor() {
                return bgColor;
            }

            public String getBgImage() {
                return bgImage;
            }

            public int getCatId() {
                return catId;
            }

            public int getCatProp() {
                return catProp;
            }

            public int getCatType() {
                return catType;
            }

            public String getEngName() {
                return engName;
            }

            public String getName() {
                return name;
            }

            public String getNameColor() {
                return nameColor;
            }
        }

        public static class AssetsEntity {
            private int aliRecommend;
            private String jsonUrl;
            private String layout;
            private int linkType;
            private String picUrl;
            private String points;
            private String title;
            private String traceid;

            public void setAliRecommend(int aliRecommend) {
                this.aliRecommend = aliRecommend;
            }

            public void setJsonUrl(String jsonUrl) {
                this.jsonUrl = jsonUrl;
            }

            public void setLayout(String layout) {
                this.layout = layout;
            }

            public void setLinkType(int linkType) {
                this.linkType = linkType;
            }

            public void setPicUrl(String picUrl) {
                this.picUrl = picUrl;
            }

            public void setPoints(String points) {
                this.points = points;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public void setTraceid(String traceid) {
                this.traceid = traceid;
            }

            public int getAliRecommend() {
                return aliRecommend;
            }

            public String getJsonUrl() {
                return jsonUrl;
            }

            public String getLayout() {
                return layout;
            }

            public int getLinkType() {
                return linkType;
            }

            public String getPicUrl() {
                return picUrl;
            }

            public String getPoints() {
                return points;
            }

            public String getTitle() {
                return title;
            }

            public String getTraceid() {
                return traceid;
            }
        }

        public static class ElementsEntity {
            private int aliRecommend;
            private String cmark;
            private String content;
            private int ctype;
            private String descColor;
            private String description;
            private int eid;
            private int elementType;
            private String jsonUrl;
            private String layout;
            private int linkType;
            private String name;
            private String nameColor;
            private String points;
            private String position;
            private int selected;
            private String summary;
            private String summaryColor;
            private String tbgColor;
            private String title;
            private String traceid;
            /**
             * bottomPic : http://125.210.110.74/wsimage/2015/11/20/20151120142724482cle4zmzo.png
             * topPic :
             */

            private List<PicUrlsEntity> picUrls;
            private List<?> tags;

            public void setAliRecommend(int aliRecommend) {
                this.aliRecommend = aliRecommend;
            }

            public void setCmark(String cmark) {
                this.cmark = cmark;
            }

            public void setContent(String content) {
                this.content = content;
            }

            public void setCtype(int ctype) {
                this.ctype = ctype;
            }

            public void setDescColor(String descColor) {
                this.descColor = descColor;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public void setEid(int eid) {
                this.eid = eid;
            }

            public void setElementType(int elementType) {
                this.elementType = elementType;
            }

            public void setJsonUrl(String jsonUrl) {
                this.jsonUrl = jsonUrl;
            }

            public void setLayout(String layout) {
                this.layout = layout;
            }

            public void setLinkType(int linkType) {
                this.linkType = linkType;
            }

            public void setName(String name) {
                this.name = name;
            }

            public void setNameColor(String nameColor) {
                this.nameColor = nameColor;
            }

            public void setPoints(String points) {
                this.points = points;
            }

            public void setPosition(String position) {
                this.position = position;
            }

            public void setSelected(int selected) {
                this.selected = selected;
            }

            public void setSummary(String summary) {
                this.summary = summary;
            }

            public void setSummaryColor(String summaryColor) {
                this.summaryColor = summaryColor;
            }

            public void setTbgColor(String tbgColor) {
                this.tbgColor = tbgColor;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public void setTraceid(String traceid) {
                this.traceid = traceid;
            }

            public void setPicUrls(List<PicUrlsEntity> picUrls) {
                this.picUrls = picUrls;
            }

            public void setTags(List<?> tags) {
                this.tags = tags;
            }

            public int getAliRecommend() {
                return aliRecommend;
            }

            public String getCmark() {
                return cmark;
            }

            public String getContent() {
                return content;
            }

            public int getCtype() {
                return ctype;
            }

            public String getDescColor() {
                return descColor;
            }

            public String getDescription() {
                return description;
            }

            public int getEid() {
                return eid;
            }

            public int getElementType() {
                return elementType;
            }

            public String getJsonUrl() {
                return jsonUrl;
            }

            public String getLayout() {
                return layout;
            }

            public int getLinkType() {
                return linkType;
            }

            public String getName() {
                return name;
            }

            public String getNameColor() {
                return nameColor;
            }

            public String getPoints() {
                return points;
            }

            public String getPosition() {
                return position;
            }

            public int getSelected() {
                return selected;
            }

            public String getSummary() {
                return summary;
            }

            public String getSummaryColor() {
                return summaryColor;
            }

            public String getTbgColor() {
                return tbgColor;
            }

            public String getTitle() {
                return title;
            }

            public String getTraceid() {
                return traceid;
            }

            public List<PicUrlsEntity> getPicUrls() {
                return picUrls;
            }

            public List<?> getTags() {
                return tags;
            }

            public static class PicUrlsEntity {
                private String bottomPic;
                private String topPic;

                public void setBottomPic(String bottomPic) {
                    this.bottomPic = bottomPic;
                }

                public void setTopPic(String topPic) {
                    this.topPic = topPic;
                }

                public String getBottomPic() {
                    return bottomPic;
                }

                public String getTopPic() {
                    return topPic;
                }
            }
        }
    }
}
